For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • GETList guests
      • POSTCreate a guest
      • GETGet a guest
      • DELDelete a guest
      • PATCHUpdate a guest
      • GETGet guest token
      • GETList Guest Roles
      • POSTAssign Role to Guest
      • DELRemove Role from Guest
      • POSTInvite guests
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceGuests

List Guest Roles

GET
https://api.x.flatfile.com/v1/guests/:guestId/roles
GET
/v1/guests/:guestId/roles
$curl https://api.x.flatfile.com/v1/guests/guestId/roles \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "id",
5 "roleId": "roleId",
6 "actorId": "actorId",
7 "resourceId": "resourceId",
8 "createdAt": "2024-01-15T09:30:00Z",
9 "updatedAt": "2024-01-15T09:30:00Z"
10 },
11 {
12 "id": "id",
13 "roleId": "roleId",
14 "actorId": "actorId",
15 "resourceId": "resourceId",
16 "createdAt": "2024-01-15T09:30:00Z",
17 "updatedAt": "2024-01-15T09:30:00Z"
18 }
19 ]
20}
Lists roles assigned to a guest.
Was this page helpful?
Previous

Assign Role to Guest

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

guestIdstringRequired
The guest id

Headers

X-Disable-Hooks"true"Required

Response

This endpoint returns an object.
datalist of objects

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error